Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_Current_var Class Reference

`#include <CurrentC.h>`

Inheritance diagram for CORBA_Current_var:

[legend]
Collaboration diagram for CORBA_Current_var:

[legend]
List of all members.

## Public Methods
| CORBA_Current_var (void)
| CORBA_Current_var (CORBA_Current_ptr p)
| CORBA_Current_var (const CORBA_Current_var &)
| ~CORBA_Current_var (void)
CORBA_Current_var & | operator= (CORBA_Current_ptr)
CORBA_Current_var & | operator= (const CORBA_Current_var &)
CORBA_Current_ptr | operator-> (void) const
| operator const CORBA_Current_ptr & () const
| operator CORBA_Current_ptr & ()
CORBA_Current_ptr | in (void) const
CORBA_Current_ptr & | inout (void)
CORBA_Current_ptr & | out (void)
CORBA_Current_ptr | _retn (void)
CORBA_Current_ptr | ptr (void) const
## Static Public Methods
CORBA_Current_ptr | tao_duplicate (CORBA_Current_ptr)
void | tao_release (CORBA_Current_ptr)
CORBA_Current_ptr | tao_nil (void)
CORBA_Current_ptr | tao_narrow (CORBA::Object *ACE_ENV_ARG_DECL_NOT_USED)
CORBA::Object * | tao_upcast (void *)
## Private Methods
| CORBA_Current_var (const TAO_Base_var &rhs)
CORBA_Current_var & | operator= (const TAO_Base_var &rhs)
## Private Attributes
CORBA_Current_ptr | ptr_

## Constructor & Destructor Documentation

CORBA_Current_var::CORBA_Current_var | ( | void |  | ) |

CORBA_Current_var::CORBA_Current_var | ( | CORBA_Current_ptr | p | ) | `[inline]`

CORBA_Current_var::CORBA_Current_var | ( | const CORBA_Current_var & |  | ) |

CORBA_Current_var::~CORBA_Current_var | ( | void |  | ) |

CORBA_Current_var::CORBA_Current_var | ( | const TAO_Base_var & | rhs | ) | `[private]`

## Member Function Documentation

CORBA_Current_ptr CORBA_Current_var::_retn | ( | void |  | ) |

CORBA_Current_ptr CORBA_Current_var::in | ( | void |  | ) | const

CORBA_Current_ptr& CORBA_Current_var::inout | ( | void |  | ) |

CORBA_Current_var::operator const CORBA_Current_ptr & | ( |  | ) | const

CORBA_Current_var::operator CORBA_Current_ptr & | ( |  | ) |

CORBA_Current_ptr CORBA_Current_var::operator-> | ( | void |  | ) | const

CORBA_Current_var& CORBA_Current_var::operator= | ( | const TAO_Base_var & | rhs | ) | `[private]`

CORBA_Current_var& CORBA_Current_var::operator= | ( | const CORBA_Current_var & |  | ) |

CORBA_Current_var & CORBA_Current_var::operator= | ( | CORBA_Current_ptr | p | ) |

CORBA_Current_ptr& CORBA_Current_var::out | ( | void |  | ) |

CORBA_Current_ptr CORBA_Current_var::ptr | ( | void |  | ) | const

CORBA_Current_ptr CORBA_Current_var::tao_duplicate | ( | CORBA_Current_ptr |  | ) | `[static]`

CORBA_Current_ptr CORBA_Current_var::tao_narrow | ( | CORBA::Object * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

CORBA_Current_ptr CORBA_Current_var::tao_nil | ( | void |  | ) | `[static]`

void CORBA_Current_var::tao_release | ( | CORBA_Current_ptr |  | ) | `[static]`

CORBA::Object* CORBA_Current_var::tao_upcast | ( | void * |  | ) | `[static]`

## Member Data Documentation

CORBA_Current_ptr CORBA_Current_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- CurrentC.h
- CurrentC.cpp